<mat-toolbar color="accent">
  <div class="container">
    <ng-content select="[title]"></ng-content>
    <mat-icon>{{titleIconId}}</mat-icon>
  </div>
  <button (click)="buttonClicked()" color="primary" mat-raised-button>
    <span class="container">
      <ng-content select="[button-caption]"></ng-content>
      <mat-icon>{{buttonIconId}}</mat-icon>
    </span>
  </button>
</mat-toolbar>
